Download it now!
Bug 112287 - FILEOPEN DOCX Text frame moves to the top, pushing regular text to the bottom of the page in a DOCX document created with Microsoft Word
Summary: FILEOPEN DOCX Text frame moves to the top, pushing regular text to the bottom...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.0.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2017-09-08 08:54 UTC by Gabor Kelemen
Modified: 2020-05-27 17:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The problematic document (24.48 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-09-08 08:54 UTC, Gabor Kelemen
Details
Screenshot of the document in LO 5.4 and Word 2013 (98.65 KB, image/png)
2017-09-08 08:55 UTC, Gabor Kelemen
Details
The example file in Word and current Writer master (45.63 KB, image/png)
2020-05-14 15:25 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-09-08 08:54:45 UTC
Created attachment 136114 [details]
The problematic document

The attached document was created in Microsoft Word and contains a simple frame with text in it anchored to a paragraph. The frame should appear at the bottom of part of the page, but in LibreOffice Writer it moves to the top of the page. This pushes the text that was at the top of the page in Word to the bottom.

Actual results:
The frame with the text is above the regular text, pushing it to the bottom of the page.

Expected results:
The frame with the text should be below the regular text.
Comment 1 Gabor Kelemen 2017-09-08 08:55:54 UTC
Created attachment 136115 [details]
Screenshot of the document in LO 5.4 and Word 2013
Comment 2 vihsa 2017-09-08 11:55:05 UTC
repro
lo viewer v1
lo viewer v4
lo viewer v6
lo viewer v8
lo viewer v10

os: android 5.1
device: lyf flame 3 [ ls-4001 ]
Comment 3 Xisco Faulí 2017-09-08 15:06:33 UTC
Confirmed in

- Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2019-11-07 03:35:23 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2019-11-07 09:26:28 UTC
Still reproducible in

Version: 6.4.0.0.alpha1+
Build ID: b19c5d4286f66193173534980d18992682905e26
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2020-05-12 09:13:46 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5636817e7677a3081263df9004940a7d5ac54af

tdf#112287 DOCX frame import: fix default vAnchor

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2020-05-14 15:25:59 UTC
Created attachment 160825 [details]
The example file in Word and current Writer master

Looks good in:

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 1ed7607454d1492f65c78443cb661d5873face6b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL